﻿@import url('https://fonts.googleapis.com/css2?family=Old+Standard+TT:ital,wght@0,400;0,700;1,400&display=swap');

body {
    font-family: "Old Standard TT", serif;
    margin: 0 auto;
    padding: 0;
    width: 85%;
    max-width: 1500px;
    color: white;
    text-align: justify;
    line-height: 1.6;
    background-color: black;
}

.fixed-background {
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    background: url('background.jpeg') no-repeat center;
    background-size: cover;
    z-index: -1;
}

.scrollable-content {
    position: relative;
    z-index: 1;
}

header {
    font-family: "Old Standard TT", serif;
    text-align: center;
    color: white;
    padding: 20px 10px;
}

section {
    font-size: 1.2em;
}

main {
    padding: 20px;
    background-color: rgba(31, 0, 2, 0.95);
    box-shadow: 0px 4px 15px rgba(0, 0, 0, 0.5);
    font-size: 1em;
}

arcticle {
    font-size: 1em;
}

h2 {
    text-align: left;
    border-bottom: outset white;
    font-size: 1.8em;
}

#MainMenu {
    text-shadow: 2px 2px 3px black;
    font-size: 4em;
}

.hoverpic:hover {
    transition: 0.55s;
    transform: scale(1.1);
    overflow: hidden;
}

nav ul {
    display: flex;
    justify-content: center;
    list-style: none;
    padding: 0;
}

nav ul li {
    margin: 0 15px; 
}

nav ul li a {
    text-decoration: none;
    font-size: 1.2em;
    color: white;
    transition: color 0.3s ease;
}

nav ul li a:hover {
    color: #f30d0c;
}

#navmenu, #navmenu li {
    margin: 0;
    padding: 0;
}

#navmenu {
    text-align: center;
    background: #1f0002;
}

#navmenu li {
    display: inline-block;
}

#navmenu a {
    display: block;
    padding: 3px 15px;
    color: #fff;
    text-decoration: none;
    font-size: 2em;
}

#navmenu a:hover {
    background: #2d0003;
    color: red;
}

.content-wrapper {
    display: flex;
    align-items: stretch;
    gap: 20px; 
}

#topics {
    flex: 0 0 320px;
    background-color: rgba(31, 0, 2, 0.95);
    padding: 16px;
    border-radius: 8px;
}

#topics li {
    margin: 10px 0; 
}

#topics a {
    display: block;
    padding: 8px 12px;
    color: #fff;
    text-align: left;
    text-decoration: none;
    background-color: rgba(31, 0, 2, 0.7);
    border-radius: 4px;
    transition: background-color 0.3s, transform 0.3s;
}

#topics a:hover {
    background-color: #2d0003;
    color: red;
    transform: scale(1.05);
}

.time-name {
    display: flex;
}

.games-chrono {
    margin-left: 65%;
    text-align: right;
}

.timeline-container {
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    margin: 50px 5%;
}

.timeline {
    position: relative;
    width: 45%;
}

.timeline ul {
    list-style: none;
    margin: 0;
    padding: 0;
}

.timeline ul li {
    position: relative;
    margin-bottom: 100px;
    opacity: 0;
    transform: translateY(20px);
    transition: all 0.5s ease-out;
}

.timeline ul li p {
    margin-left: 50px;
}

.timeline ul li.visible {
    opacity: 1;
    transform: translateY(0);
}

.timeline .point {
    position: absolute;
    width: 20px;
    height: 20px;
    background: white;
    border: 3px solid black;
    border-radius: 50%;
    top: 0;
    transform: translateX(-50%);
}

.timeline:nth-child(2) .point {
    left: auto;
    right: -24px;
}

.timeline ul li p {
    position: relative;
    margin-left: 40px;
    font-size: 16px;
    line-height: 1.4;
}

.timeline:nth-child(2) ul li p {
    margin-left: 0;
    text-align: right;
    margin-right: 50px;
}

.timeline::before {
    content: "";
    position: absolute;
    width: 3px;
    background: white;
    top: 0;
    bottom: 0;
    left: 0;
    margin-left: -1px;
}

.timeline:nth-child(2)::before {
    left: auto;
    right: 0;
}

.timeline img:hover {
    cursor: pointer;
}

.card-container {
    display: flex;
    justify-content: space-between;
    max-width: 1500px;
    margin: auto;
    flex-wrap: wrap;
}

.card {
    position: relative;
    width: calc(25% - 20px);
    overflow: hidden;
    border-radius: 8px;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.2);
    margin-bottom: 20px;
    transition: transform 0.3s ease;
}

.card img {
    width: 100%;
    height: auto;
}

.card-content {
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    background: rgba(31,0,2,.5);
    color: white;
    padding: 10px;
    opacity: 0;
    transition: opacity 0.3s ease;
}

.card:hover {
    transform: translateY(-10px);
    cursor: pointer;
}

.card:hover .card-content {
    opacity: 1;
}

.boo {
    max-width: 1400px;
}

.boo-card {
    width: calc(30% - 20px);
}

.button_to {
    margin: 0 auto;
    display: block;
    padding: 10px 20px;
    font-size: 16px;
    color: white;
    border: none;
    background-color: rgba(70,0,5);
    border-radius: 16px;
    position: relative;
    cursor: pointer;
    overflow: hidden;
    transition: transform 1s ease, color 1.5s ease;
}

.button_to::before {
    content: '';
    position: absolute;
    top: -50%;
    left: -50%;
    width: 200%;
    height: 200%;
    background: linear-gradient(90deg, rgba(255, 255, 255, 0) 0%, rgba(255, 255, 255, 0.7) 50%, rgba(255, 255, 255, 0) 100%);
    transform: translateY(-100%) translateX(-100%);
    transition: transform 0.5s ease;
}

.button_to:hover::before {
    transform: translateY(100%) translateX(100%);
}

.button_to:hover {
    color: red;
    transform: scale(1.05);
    background-color: rgba(80,0,5);
}

.button_a {
    text-decoration: none;
    margin: 0 auto;
}

.social-card-container {
    display: flex;
    gap: 20px;
    margin-top: 50px;
    justify-content: center;
    transition: color 0.3s ease;
    text-decoration: none;
}

.social-card-container a {
    text-decoration: none;
}

.social-card {
    position: relative;
    width: 200px;
    padding: 20px;
    background-color: rgba(23, 0, 2);
    color: #fff;
    text-align: center;
    border-radius: 10px;
    box-shadow: 0 8px 16px rgba(0, 0, 0, 0.3);
    overflow: hidden;
    cursor: pointer;
    transition: transform 0.5s ease;
    z-index: 1;
}

.vk:hover::before {
    border: 2px solid #4c75a3;
}

.yt:hover::before {
    border: 2px solid red;
}

.tg:hover::before {
    border: 2px solid #57aadc;
}

.re:hover::before {
    border: 2px solid #ac9e80;
}

.cp:hover::before {
    border: 2px solid #ffcb08;
}

.vk:hover {
    box-shadow: 5px 4px 5px #4c75a3;
}

.yt:hover {
    box-shadow: 5px 4px 5px red;
}

.tg:hover {
    box-shadow: 5px 4px 5px #57aadc;
}

.re:hover {
    box-shadow: 5px 4px 5px #ac9e80;
}

.cp:hover {
    box-shadow: 5px 4px 5px #ffcb08;
}

.social-card:hover {
    transform: scale(1.05);
    font-weight: bolder;
    font-size: 105%;
}

.social-card:hover::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    border-radius: 10px;
    box-sizing: border-box;
    pointer-events: none;
    z-index: -1;
}


@media (max-width: 1200px) {
    body {
        width: 95%;
        max-width: 1200px;
    }

    header {
        padding: 20px 10px;
    }

    #MainMenu {
        font-size: 3.6em;
    }

    nav ul li {
        margin: 0 10px;
    }

    nav ul li a {
        font-size: 1.1em;
    }

    main {
        padding: 20px;
        font-size: 0.95em;
    }

    section {
        font-size: 1.1em;
    }

    article {
        padding: 10px;
    }

    #topics a {
        font-size: 1.2em;
    }

    .games-chrono {
        margin-left: 40%;
        text-align: right;
    }

    .card {
        width: calc(50% - 15px);
        margin-bottom: 20px;
    }

    .capcom {
        margin-top: 20px;
        margin: auto 0;
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
    }
}

@media (max-width: 1000px) {
    nav ul {
        display: flex;
        flex-direction: column;
        align-items: center;
        padding: 0;
        margin: 0;
    }

    nav ul li {
        margin: 10px 0;
        width: 100%;
        text-align: center;
    }

    nav ul li a {
        font-size: 1.2em;
        text-decoration: none;
        color: white;
        padding: 10px;
        display: block;
    }

    nav ul li a:hover {
        background-color: rgba(255, 255, 255, 0.1);
        border-radius: 5px;
    }
}

@media (max-width: 800px) {
    #MainMenu {
        font-size: 3em;
    }

    main {
        font-size: 0.9em;
        padding: 15px;
    }

    section {
        font-size: 1em;
    }

    nav ul li {
        margin: 0 10px;
    }

    nav ul li a {
        font-size: 1em;
    }

    #navmenu li {
        display: block;
    }

    #navmenu a {
        display: fixed;
        padding: 3px 15px;
        color: #fff;
        text-decoration: none;
        font-size: 1.5em;
    }

    .card-content {
        opacity: 1;
    }

    .social-card-container {
        margin-top: 20px;
        margin: auto 0;
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
    }
}

@media (max-width: 450px) {
    #topics {
        flex: 0 0 100%;
        padding: 4px;
    }

    #topics li {
        margin: 8px 0;
    }

    #topics a {
        padding: 6px 10px;
        font-size: 0.9em;
    }

    #topics a:hover {
        transform: scale(1.02);
    }

    .card-content p {
        visibility: hidden;
        font-size: 1px;
    }

    h2 {
        font-size: 1.1em;
        padding-bottom: 8px;
    }

    .games-chrono {
        margin-left: 13%;
        text-align: right;
    }
}

.old-standard-tt-regular {
    font-family: "Old Standard TT", serif;
    font-weight: 400;
    font-style: normal;
}

.old-standard-tt-bold {
    font-family: "Old Standard TT", serif;
    font-weight: 700;
    font-style: normal;
}

.old-standard-tt-regular-italic {
    font-family: "Old Standard TT", serif;
    font-weight: 400;
    font-style: italic;
}